ata_scsiop_read_cap
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsiop_read_cap — Simulate READ CAPACITY[ 16] commands

## Synopsis

`unsigned int ata_scsiop_read_cap (` | struct ata_scsi_args * | args,
| u8 * | rbuf,
| unsigned int | buflen`)`;

## Arguments

`args`

  device IDENTIFY data / SCSI command of interest.

`rbuf`

  Response buffer, to which simulated SCSI cmd output is sent.

`buflen`

  Response buffer length.

## Description

Simulate READ CAPACITY commands.

## LOCKING

None.

Prev | Up | Next
ata_scsiop_mode_sense | Home | ata_scsiop_report_luns